/*!
 * \file		mycommdef.h
 * \brief		Declarações comuns a todos os módulos.
 *
 * \date		26/04/12 11:13
 * \version		0.0.1
 * \author		Alessandro Elias, ae11@inf.ufpr.br
 * \author		Ruanito Diego Santos, rds@inf.ufpr.br
 */

#ifndef __MYCOMMDEF_H__
#define __MYCOMMDEF_H__     1

#include <curses.h>         /* curses ja define tipo bool */

#if !defined(FALSE)
#define FALSE           0   /*!< Define valor booleano falso. */
#endif

#if !defined(TRUE)
#define TRUE            1   /*!< Define valor booleano verdadeiro. */
#endif

typedef unsigned int UINT;  /*!< Define tipo somente numeros positivos */
/*typedef int bool;*/           /* defina tipo boleano */

/*!< declarada em sortui.c, TRUE stdin esta conectado a um terminal FALSE caso contrário. */
extern bool g_bStdinConnectedTotty;

void EmptyStdIn(void);
void WaitReturn(void);

#endif /* __MYCOMMDEF_H__ */
